<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: Completion status</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Completion status<br>
<small>
[<a class="el" href="group__Edma3RMIntrMgrInst.html">Instance Wide Interface</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblErrCallbackParams.html">EDMA3_RM_GblErrCallbackParams</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Global Error Callback parameters.  <a href="structEDMA3__RM__GblErrCallbackParams.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMStatus.html#g6768147ae320fd3951df6762133d2ede">EDMA3_RM_GblErrCallback</a> )(<a class="el" href="group__Edma3RMStatus.html#g16a012f757d48bd975b8ea0c971be3ab">EDMA3_RM_GlobalError</a> deviceStatus, unsigned int instanceId, void *gblerrData)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Global Error callback - caters to module events like bus error etc which are not channel specific. Runs in ISR context.  <a href="#g6768147ae320fd3951df6762133d2ede"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMStatus.html#g6552b0f8faaf17b884686da3bdcb955f">EDMA3_RM_TccStatus</a> { <br>
&nbsp;&nbsp;<a class="el" href="group__Edma3RMStatus.html#gg6552b0f8faaf17b884686da3bdcb955f5622a3db75c641b1ae3ea335978b4520">EDMA3_RM_XFER_COMPLETE</a> =  1, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3RMStatus.html#gg6552b0f8faaf17b884686da3bdcb955f6cf71fce76ce1cce31e7bca576fde04d">EDMA3_RM_E_CC_DMA_EVT_MISS</a> =  2, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3RMStatus.html#gg6552b0f8faaf17b884686da3bdcb955f9cbbf1da9c1b57d04438bc64d69f64e8">EDMA3_RM_E_CC_QDMA_EVT_MISS</a> =  3
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This enum defines the channel specific status codes of an EDMA3 transfer. It is returned while calling the channel specific callback function to tell the status.  <a href="group__Edma3RMStatus.html#g6552b0f8faaf17b884686da3bdcb955f">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMStatus.html#g16a012f757d48bd975b8ea0c971be3ab">EDMA3_RM_GlobalError</a> { <br>
&nbsp;&nbsp;<a class="el" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab67c32e3e11c96cc049c518a59f032a70">EDMA3_RM_E_CC_QUE_THRES_EXCEED</a> =  1, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab15eeafe3ddc875b7571a98e9c884222d">EDMA3_RM_E_CC_TCC</a> =  2, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab9952222420c3a56606ba380edbaaf9e9">EDMA3_RM_E_TC_MEM_LOCATION_READ_ERROR</a> =  3, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab56ede56517c9fa52d205b2f65750bdfc">EDMA3_RM_E_TC_MEM_LOCATION_WRITE_ERROR</a> =  4, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab7774e7eed3ad708e68c7ab8b2454abbf">EDMA3_RM_E_TC_INVALID_ADDR</a> =  5, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3RMStatus.html#gg16a012f757d48bd975b8ea0c971be3ab1ebe8bff6b178fb7f7b5f1b540eccf93">EDMA3_RM_E_TC_TR_ERROR</a> =  6
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This enum defines the global (not specific to any channel) error codes of completion of an EDMA3 transfer.  <a href="group__Edma3RMStatus.html#g16a012f757d48bd975b8ea0c971be3ab">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This group defines the error codes of completion of an EDMA3 transfer. <hr><h2>Typedef Documentation</h2>
<a class="anchor" name="g6768147ae320fd3951df6762133d2ede"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_GblErrCallback" ref="g6768147ae320fd3951df6762133d2ede" args=")(EDMA3_RM_GlobalError deviceStatus, unsigned int instanceId, void *gblerrData)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(*  <a class="el" href="group__Edma3RMStatus.html#g6768147ae320fd3951df6762133d2ede">EDMA3_RM_GblErrCallback</a>)(<a class="el" href="group__Edma3RMStatus.html#g16a012f757d48bd975b8ea0c971be3ab">EDMA3_RM_GlobalError</a> deviceStatus, unsigned int instanceId, void *gblerrData)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Global Error callback - caters to module events like bus error etc which are not channel specific. Runs in ISR context. 
<p>
gblerrData is application provided data when open'ing the Resource Manager. 
</div>
</div><p>
<hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="g16a012f757d48bd975b8ea0c971be3ab"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_GlobalError" ref="g16a012f757d48bd975b8ea0c971be3ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Edma3RMStatus.html#g16a012f757d48bd975b8ea0c971be3ab">EDMA3_RM_GlobalError</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This enum defines the global (not specific to any channel) error codes of completion of an EDMA3 transfer. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="gg16a012f757d48bd975b8ea0c971be3ab67c32e3e11c96cc049c518a59f032a70"></a><!-- doxytag: member="EDMA3_RM_E_CC_QUE_THRES_EXCEED" ref="gg16a012f757d48bd975b8ea0c971be3ab67c32e3e11c96cc049c518a59f032a70" args="" -->EDMA3_RM_E_CC_QUE_THRES_EXCEED</em>&nbsp;</td><td>
Threshold exceed:- for all event queues. These get latched in EDMA3CC error register (CCERR). This error has a direct relation with the setting of <a class="el" href="structEDMA3__RM__GblConfigParams.html#e633ff54dda219dafc5d3b609a28a202" title="Event Queues Watermark Levels.">EDMA3_RM_GblConfigParams.evtQueueWaterMarkLvl</a> </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg16a012f757d48bd975b8ea0c971be3ab15eeafe3ddc875b7571a98e9c884222d"></a><!-- doxytag: member="EDMA3_RM_E_CC_TCC" ref="gg16a012f757d48bd975b8ea0c971be3ab15eeafe3ddc875b7571a98e9c884222d" args="" -->EDMA3_RM_E_CC_TCC</em>&nbsp;</td><td>
TCC error:- for outstanding transfer requests expected to return completion code (TCCHEN or TCINTEN bit in OPT is set to 1) exceeding the maximum limit of 63. This also gets latched in the CCERR. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg16a012f757d48bd975b8ea0c971be3ab9952222420c3a56606ba380edbaaf9e9"></a><!-- doxytag: member="EDMA3_RM_E_TC_MEM_LOCATION_READ_ERROR" ref="gg16a012f757d48bd975b8ea0c971be3ab9952222420c3a56606ba380edbaaf9e9" args="" -->EDMA3_RM_E_TC_MEM_LOCATION_READ_ERROR</em>&nbsp;</td><td>
Transfer Controller has reported an error Detection of a Read error signaled by the source or destination address </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg16a012f757d48bd975b8ea0c971be3ab56ede56517c9fa52d205b2f65750bdfc"></a><!-- doxytag: member="EDMA3_RM_E_TC_MEM_LOCATION_WRITE_ERROR" ref="gg16a012f757d48bd975b8ea0c971be3ab56ede56517c9fa52d205b2f65750bdfc" args="" -->EDMA3_RM_E_TC_MEM_LOCATION_WRITE_ERROR</em>&nbsp;</td><td>
Detection of a Write error signaled by the source or destination address </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg16a012f757d48bd975b8ea0c971be3ab7774e7eed3ad708e68c7ab8b2454abbf"></a><!-- doxytag: member="EDMA3_RM_E_TC_INVALID_ADDR" ref="gg16a012f757d48bd975b8ea0c971be3ab7774e7eed3ad708e68c7ab8b2454abbf" args="" -->EDMA3_RM_E_TC_INVALID_ADDR</em>&nbsp;</td><td>
Attempt to read or write to an invalid address in the configuration memory map. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg16a012f757d48bd975b8ea0c971be3ab1ebe8bff6b178fb7f7b5f1b540eccf93"></a><!-- doxytag: member="EDMA3_RM_E_TC_TR_ERROR" ref="gg16a012f757d48bd975b8ea0c971be3ab1ebe8bff6b178fb7f7b5f1b540eccf93" args="" -->EDMA3_RM_E_TC_TR_ERROR</em>&nbsp;</td><td>
Detection of a FIFO mode TR violating the FIFO mode transfer rules (the source/destination addresses and source/destination indexes must be aligned to 32 bytes). </td></tr>
</table>
</dl>

</div>
</div><p>
<a class="anchor" name="g6552b0f8faaf17b884686da3bdcb955f"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_TccStatus" ref="g6552b0f8faaf17b884686da3bdcb955f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Edma3RMStatus.html#g6552b0f8faaf17b884686da3bdcb955f">EDMA3_RM_TccStatus</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This enum defines the channel specific status codes of an EDMA3 transfer. It is returned while calling the channel specific callback function to tell the status. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="gg6552b0f8faaf17b884686da3bdcb955f5622a3db75c641b1ae3ea335978b4520"></a><!-- doxytag: member="EDMA3_RM_XFER_COMPLETE" ref="gg6552b0f8faaf17b884686da3bdcb955f5622a3db75c641b1ae3ea335978b4520" args="" -->EDMA3_RM_XFER_COMPLETE</em>&nbsp;</td><td>
DMA Transfer successfully completed (true completion mode) or submitted to the TC (early completion mode). </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg6552b0f8faaf17b884686da3bdcb955f6cf71fce76ce1cce31e7bca576fde04d"></a><!-- doxytag: member="EDMA3_RM_E_CC_DMA_EVT_MISS" ref="gg6552b0f8faaf17b884686da3bdcb955f6cf71fce76ce1cce31e7bca576fde04d" args="" -->EDMA3_RM_E_CC_DMA_EVT_MISS</em>&nbsp;</td><td>
Channel Controller has reported an error DMA missed events:- for all 64 DMA channels. These get latched in the event missed registers (EMR/EMRH). </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg6552b0f8faaf17b884686da3bdcb955f9cbbf1da9c1b57d04438bc64d69f64e8"></a><!-- doxytag: member="EDMA3_RM_E_CC_QDMA_EVT_MISS" ref="gg6552b0f8faaf17b884686da3bdcb955f9cbbf1da9c1b57d04438bc64d69f64e8" args="" -->EDMA3_RM_E_CC_QDMA_EVT_MISS</em>&nbsp;</td><td>
QDMA missed events:- for all QDMA channels. These get latched in the QDMA event missed register (QEMR). </td></tr>
</table>
</dl>

</div>
</div><p>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:48 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
